# Interface T8GIModelGeneric<TMeshDescriptor, TStyle, TRegion>

interface T8GIModelGeneric<TMeshDescriptor, TStyle, TRegion> {
entityGeometryMap: T8GIEntityGeometryMap;
entityMeshes: Map<number, T8GIEntityMesh[]>;
entityMeshLookup?: T8GIEntityMeshLookup;
geometryInfoItems: T8GIGeometryInfo[];
meshDescriptors: TMeshDescriptor[];
primaryRegionIndex: null | number;
regions: TRegion[];
styles: TStyle[];
transforms: T8GITransform[];
version: number;
}

#### Type Parameters

- TMeshDescriptor
- TStyle
- TRegion

##### Index

### Properties

entityGeometryMap
entityMeshes
entityMeshLookup?
geometryInfoItems
meshDescriptors
primaryRegionIndex
regions
styles
transforms
version

## Properties

### entityGeometryMap

entityGeometryMap: T8GIEntityGeometryMap

### entityMeshes

entityMeshes: Map<number, T8GIEntityMesh[]>

### `Optional` entityMeshLookup

entityMeshLookup?: T8GIEntityMeshLookup

### geometryInfoItems

geometryInfoItems: T8GIGeometryInfo[]

### meshDescriptors

meshDescriptors: TMeshDescriptor[]

### primaryRegionIndex

primaryRegionIndex: null | number

### regions

regions: TRegion[]

### styles

styles: TStyle[]

### transforms

transforms: T8GITransform[]

### version

version: number